@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Righteous&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
:root {
  --primary_color: orangered;
  --box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.3);
}
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
*::selection {
  background-color: orangered;
  color: black;
}
html {
  scroll-behavior: smooth;

  font-family: "Poppins", sans-serif;
  /* font-size: 70%; */
}
h2,
h3,
h4 {
  text-transform: capitalize;
}
a {
  text-decoration: none;
}
.container {
  max-width: 1440px;
  margin: 0 auto;
  /* padding: 0 80px; */
}
.btn {
  /* font-size: 2.2rem; */
  color: white;
  cursor: pointer;
}
.imgs {
  display: flex;
  align-items: center;
}
/** -------------------------- start cart-------------------------------- */
.cart {
  position: absolute;
  width: 300px;
  border-radius: 13px;
  padding: 10px 8px;
  right: 12px;
  top: 90px;
  background-color: #1a1110;
  border: 1px solid black;
  border-bottom: 3px solid var(--primary_color);
  display: flex;
  justify-content: space-between;
  transition: bottom, opacity var(--transition-duration);
  font-size: 0.7rem;
}

.hide-cart {
  bottom: 100%;
  opacity: 0;
  z-index: -1;
}
.show-cart {
  opacity: 1;
  z-index: 100;
}
.cart .orders_container {
  position: relative;
  width: 100%;
  display: grid;
  justify-content: space-between;
  row-gap: 15px;
  grid-template-columns: 235px auto;
}
.cart .orders_container::after {
  content: "";
  border-color: transparent transparent black transparent;
  border-width: 9px;
  border-style: solid;
  position: absolute;
  top: -28px;
  left: 67%;
  transform: translateX(-50%);
  z-index: -1;
}
.cart .orders_container span {
  padding: 0 3px;
}
.cart .orders_container span:first-child,
.cart .orders_container span:last-child {
  border: 1px solid white;
  border-radius: 50%;
  cursor: pointer;
}
.cart .orders_container .confirm a {
  display: grid;
  width: fit-content;
  border-radius: 25px;
  padding: 3px 5px;
  font-size: 0.7rem;
  transform: translateX(50%);
  grid-column-start: 1;
  grid-column-end: 3;
}
.cart .orders_container::before {
  content: "";
  border-color: transparent transparent #1a1110 transparent;
  border-width: 8px;
  border-style: solid;
  position: absolute;
  top: -26px;
  left: 67%;
  transform: translateX(-50%);
}
.cart .order_name {
  font-family: "Ubuntu", sans-serif;
  word-spacing: 2px;
  letter-spacing: 1px;
  max-width: 240px;
  height: 13px;
  overflow: hidden;

  text-align: justify;
}

.hide-cart {
  bottom: 100%;
  opacity: 0;
  z-index: -1;
}
.show-cart {
  opacity: 1;
  z-index: 100;
}
@media (max-width: 480px) {
  .cart {
    top: 69px;
    right: 5px;
  }
}

/** -------------------------- end cart-------------------------------- */
/** -------------------------- start Special offers-------------------------------- */

#sp_offer {
  padding: 10rem 0;
}

.sp_content {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  width: 100%;
  grid-gap: 4rem;
}
.headings h2 {
  /* font-size: 4rem; */
  text-transform: uppercase;
  font-family: "Righteous", sans-serif;
}
.headings h3 {
  /* font-size: 2rem; */
  font-family: "Ubuntu", sans-serif;
  color: var(--primary_color);
}
.imgs_content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 3rem 0;
}
.imgs {
  display: flex;
  align-items: center;
}
.imgs img {
  display: block;
  object-fit: cover;
}
.content_for_img {
  padding: 0 1.2rem 0 3rem;
}
.content_for_img h4 {
  font-size: 1.3rem;
  padding-block-end: 0.5rem;
  font-family: "Ubuntu", sans-serif;
}
.content_for_img p {
  /* font-size: 1.2rem; */
  color: #888;
  font-family: "Ubuntu", sans-serif;
  line-height: 1.5;
}
.imgs_content .pricee {
  /* font-size: 3rem; */
  font-family: "Righteous", sans-serif !important;
  border: 1px solid #ddd;
  padding: 1rem;
  border-radius: 50%;
  font-size: 20px;
}
.sp_content .lef_side_content .imgs_content .image {
  /* box-sizing: content-box; */
  width: 150px;
}
.sp_content .lef_side_content .imgs_content .image img {
  width: 100%;
}
/* .sp_content .right_side_content .img_right_side {
  background-color: blueviolet;
  width: 340px;
} */

.sp_content .right_side_content .img_right_side img {
  width: 100%;
}
.right_side_content {
  position: relative;
  width: 100%;
}

.img_right_side .over_img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 4rem;
  text-align: center;
  background-color: var(--primary_color);
  color: white;
  border-radius: 50%;
}

.over_img a {
  color: white;
}
.sp_content h3 {
  font-size: 1.5rem;
}
.sp_content h2 {
  font-size: 2rem;
}
.sp_content h2,
h3 {
  padding: 8px;
}
.sp_content .right_side_content {
  grid-area: 1;
}

/** -------------------------- end Special offers-------------------------------- */

/** -------------------------- start Media Special offers-------------------------------- */
@media (max-width: 1200px) {
  .imgs_content {
    padding: 1.5rem 0;
  }
  .sp_content .content_for_img P {
    font-size: 0.8rem;
  }
  .content_for_img h4 {
    font-size: 1rem;
  }
}

@media (max-width: 991px) {
  .imgs_content {
    padding: 0.5rem 0;
  }
  .sp_content .content_for_img p {
    font-size: 0.7rem;
  }
  .sp_content {
    grid-gap: 2rem;
  }
  .sp_content h3 {
    font-size: 1.2rem;
  }
  .sp_content h2 {
    font-size: 1.7rem;
  }
}
@media (max-width: 768px) {
  .sp_content {
    grid-template-columns: 1fr;
  }
  .sp_content .right_side_content {
    grid-area: 1;
  }
  .content_for_img h4 {
    font-size: 0.8rem;
  }
  .content_for_img {
    padding: 0 1.2rem;
    font-size: medium;
  }
  .imgs_content .pricee {
    /* font-size: 3rem; */
    font-family: "Righteous", sans-serif !important;
    border: 1px solid #ddd;
    padding: 0.8rem;
    border-radius: 50%;
    font-size: 15px;
  }
} /** -------------------------- end Media Special offers-------------------------------- */

/* .image {
  background-color: red;
} */
/** -------------------------- start today offers -------------------------------- */
.normal_heading-1 {
  font-size: 2rem;
  font-family: "Righteous", sans-serif;
  color: orangered;
  text-align: center;
}
.main_heading {
  font-size: 4rem;
  font-family: "Ubuntu", sans-serif;
  color: white;
  text-align: center;
}

#deal_today {
  position: relative;
  /* padding: 10rem 0;   */

  /*  this just adding space to the section*/
}
#deal_today::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url(../img/today_selection_background.png); /*There should be back ground image here*/
  background-size: cover;
}

#deal_today .thecard_content {
  text-align: center;
  font-size: 1.2rem;
}
#deal_today .thecard {
  margin: 6rem 0;
  padding: 0 10px;
}
#deal_today .thecard_content .image {
  width: 250px;
  height: 200px;
  overflow: hidden;
  margin: auto;
}
#deal_today .thecard_content .image img {
  display: block;
  width: 100%;
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.hor {
  width: 100%;
}
.ver {
  height: 100%;
}
#deal_today .thecard_content h4 {
  margin: 15px auto;
  font-family: "Ubuntu", sans-serif;
  font-size: 1.5rem;
}
#deal_today .thecard_content .item_description {
  margin: 10px auto;
  font-size: 1rem;
  color: #ccc;
}
#deal_today .thecard_content .pricee {
  margin: 10px auto;
  color: orangered;
  font-weight: 600;
  font-size: 1.5rem;
}

@media (max-width: 1200px) {
  #deal_today h2 {
    font-size: 3rem;
  }
}
@media (max-width: 768px) {
  #deal_today h2 {
    font-size: 2.2rem;
  }
  #deal_today .thecard_content h4 {
    font-size: 1.5rem;
  }
  #deal_today .thecard_content .item_description {
    font-size: 0.8rem;
  }
  #deal_today .thecard_content .pricee {
    font-size: 1.3rem;
  }
  #deal_today .thecard {
    margin: 2rem 0;
  }
}
.thecard_content button:hover,
.menus_item_container button:hover {
  background-color: transparent;
  border: 2px solid orangered;
}
/** -------------------------- end today offers-------------------------------- */

/** -------------------------- start food lover-------------------------------- */
#food_lover {
  margin: 10rem auto;
}
.food_lover_container {
  margin: 3rem 0;
}
@media (max-width: 768px) {
  #food_lover {
    margin: 7rem auto;
  }
}
.food_lover_container .btn_container {
  margin: 4rem 0;
  width: 100%;
  display: inline-block;
  color: black;
  text-align: center;
  display: flex;
  justify-content: space-evenly;
}

/* this will change to mathces current button */
.food_lover_container .btn_container .btn_cat {
  padding: 0.7rem 1.2rem;
  cursor: pointer;
  background-color: var(--primary_color);
  border: 2px solid black;
  font-size: 1.4rem;
  border-radius: 5px;
  background-color: var(--primary_color);
  color: white;
  border-color: var(--primary_color);
}
.food_lover_container .btn_container .btn_cat:hover,
.active_btn {
  background-color: transparent !important;
  border: 2px solid orangered;
}

.menus_item_container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 1rem;
  padding: 10px;
}
.menus_item_container .img_thecards {
  /* border: 1px solid #ddd; */
  box-shadow: var(--box-shadow);
  padding: 10px 0;
}
.img_thecards button {
  /* transform: translateX(50%); */
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  margin: auto;
}
.menus_item_container .img_thecards .img_container {
  overflow: hidden;
  width: 250px;
  height: 200px;
  padding: 10px;
  /* display: flex; */
  position: relative;
  transform: translateX(-50%);
  left: 50%;
}

.img_thecards img {
  /* display: inline; */
  /* height: 100%; */
  /* width: 100%; */
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  /* object-fit: cover; */
  cursor: pointer;
  transition: 0.5s ease-in-out;
}
.img_thecards p {
  text-align: center;
  font-size: 1.2rem;
  font-family: "Ubuntu", sans-serif;
  padding: 20px 10px 0px;
}
.img_thecards .pricee {
  padding: 10px;
  color: var(--primary_color);
  font-size: 1.5rem;
}
.img_thecards img:hover {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(1.1);
  /* transform: scale(1.1); */
}
@media (max-width: 991px) {
  .food_lover_container .btn_container .btn_cat {
    font-size: 1.3rem;
    padding: 0.5rem 0.8rem;
  }
  .menus_item_container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 768px) {
  .food_lover_container .btn_container .btn_cat {
    font-size: 1rem;
    padding: 0.5rem 0.8rem;
  }
  .img_thecards .pricee {
    font-size: 1.5rem;
  }
  .img_thecards p {
    font-size: 1.2rem;
  }
  /* .food_lover_container .btn_container :last-child {
    display: none;
    font-size: 1.2rem;
  } */
  .img_thecards p {
    padding: 15px 7px 0px;
  }
  .img_thecards .pricee {
    padding: 7px;
  }
  .menus_item_container {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 486px) {
  .img_thecards .pricee {
    font-size: 1.2rem;
  }
  .img_thecards p {
    font-size: 1rem;
  }
  .food_lover_container .btn_container .btn_cat {
    font-size: 0.8rem;
    padding: 0.3rem 0.4rem;
  }
}
/** -------------------------- end food lover-------------------------------- */
/** -------------------------- start review -------------------------------- */
#customer_feedback {
  padding: 10rem 0;
  background: url(../img/bg-review.jpg) no-repeat center center/cover;
  /* you should add image here */
  background-attachment: fixed;
  position: relative;
  /* z-index: 1; */
}
#customer_feedback::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: rgba(0, 0, 0, 0.8);
  /* z-index: -1; */
}
.cucustomer_thecards_container {
  margin: 4rem 0;
}
.customer_thecard {
  width: 282px;
  margin: 10px 10px;
  background-color: #444;
  text-align: center;
  padding: 2rem 1rem;
  box-shadow: var(--box-shadow);
  margin-bottom: 10px;
}
.customer_thecard .img_container {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  margin: auto;
}
.customer_thecard img {
  /* display: block; */
  width: 100%;
  object-fit: contain;
  border-radius: 50%;
}
.customer_thecard p {
  word-break: break-all;
  font-size: 1.2rem;
  text-align: justify;
  padding: 2rem 0;
  color: #ddd;
}
.customer_thecard .name {
  text-align: center;
  font-size: 1.5rem;
  color: var(--primary_color);
}
@media (max-width: 768px) {
  .customer_thecard {
    padding: 1rem;
  }
  .customer_thecard p {
    font-size: 1rem;

    padding: 1rem 0;
  }
  .customer_thecard .name {
    padding: 1rem 0;
  }
}
/** -------------------------- end review-------------------------------- */
